Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision adc753dbe4450955415a1427496ad3341a93896e)
+++ sasmodels/models/core_shell_bicelle.py	(revision 416f5c7f5af38d5e5d926a5b6b140a94e7e60502)
@@ -42,13 +42,14 @@
     I(Q,\alpha) = \frac{\text{scale}}{V} \cdot
         F(Q,\alpha)^2 + \text{background}
+
 where
 
 .. math::
 
-    \begin{align}    
-    F(Q,\alpha) = &\frac{1}{V_t} \bigg[ 
-    (\rho_c - \rho_f) V_c \frac{J_1(QRsin \alpha)}{QRsin\alpha}\frac{2 \cdot QLcos\alpha}{QLcos\alpha} \\
-    &+(\rho_f - \rho_r) V_{c+f} \frac{J_1(QRsin\alpha)}{QRsin\alpha}\frac{2 \cdot Q(L+t_f)cos\alpha}{Q(L+t_f)cos\alpha} \\
-    &+(\rho_r - \rho_s) V_t \frac{J_1(Q(R+t_r)sin\alpha)}{Q(R+t_r)sin\alpha}\frac{2 \cdot Q(L+t_f)cos\alpha}{Q(L+t_f)cos\alpha}
+        \begin{align}    
+    F(Q,\alpha) = &\bigg[ 
+    (\rho_c - \rho_f) V_c \frac{J_1(QRsin \alpha)}{QRsin\alpha}\frac{2 \cdot sin(QLcos\alpha/2)}{QLcos\alpha} \\
+    &+(\rho_f - \rho_r) V_{c+f} \frac{J_1(QRsin\alpha)}{QRsin\alpha}\frac{2 \cdot sin(Q(L/2+t_f)cos\alpha)}{Q(L+2t_f)cos\alpha} \\
+    &+(\rho_r - \rho_s) V_t \frac{J_1(Q(R+t_r)sin\alpha)}{Q(R+t_r)sin\alpha}\frac{2 \cdot sin(Q(L/2+t_f)cos\alpha)}{Q(L+2t_f)cos\alpha}
     \bigg]
     \end{align} 
@@ -130,8 +131,8 @@
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [
-    ["radius",         "Ang",       20, [0, inf],    "volume",      "Cylinder core radius"],
+    ["radius",         "Ang",       80, [0, inf],    "volume",      "Cylinder core radius"],
     ["thick_rim",  "Ang",       10, [0, inf],    "volume",      "Rim shell thickness"],
     ["thick_face", "Ang",       10, [0, inf],    "volume",      "Cylinder face thickness"],
-    ["length",         "Ang",      400, [0, inf],    "volume",      "Cylinder length"],
+    ["length",         "Ang",      50, [0, inf],    "volume",      "Cylinder length"],
     ["sld_core",       "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Cylinder core scattering length density"],
     ["sld_face",       "1e-6/Ang^2", 4, [-inf, inf], "sld",         "Cylinder face scattering length density"],
Index: sasmodels/models/core_shell_ellipsoid.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid.py	(revision 9272cbd125ffc689c4c3a679645553bfe27cbd3f)
+++ sasmodels/models/core_shell_ellipsoid.py	(revision 416f5c7f5af38d5e5d926a5b6b140a94e7e60502)
@@ -12,5 +12,5 @@
 
 The geometric parameters of this model are shown in the diagram above, which
-shows (a) a cross section of the circular equator and (b) a cross section through
+shows (a) a cut through at the circular equator and (b) a cross section through
 the poles, of a prolate ellipsoid.
 
@@ -19,5 +19,5 @@
 
 For a fixed shell thickness *XpolarShell = 1*, to scale the shell thickness
-pro-rata with the radius *XpolarShell = X_core*.
+pro-rata with the radius set or constrain *XpolarShell = X_core*.
 
 When including an $S(q)$, the radius in $S(q)$ is calculated to be that of
@@ -33,4 +33,48 @@
 this moves to the $S(q)$ volume fraction, and scale should then be 1.0,
 or contain some other units conversion factor (for example, if you have SAXS data).
+
+The calculation of intensity follows that for the solid ellipsoid, but with separate
+terms for the core-shell and shell-solvent boundaries.
+
+.. math::
+
+    P(q,\alpha) = \frac{\text{scale}}{V} F^2(q,\alpha) + \text{background}
+
+where
+
+.. math::
+    \begin{align}    
+    F(q,\alpha) = &f(q,radius\_equat\_core,radius\_equat\_core.x\_core,\alpha) \\
+    &+ f(q,radius\_equat\_core + thick\_shell,radius\_equat\_core.x\_core + thick\_shell.x\_polar\_shell,\alpha)
+    \end{align} 
+
+where
+ 
+.. math::
+
+    f(q,R_e,R_p,\alpha) = \frac{3 \Delta \rho V (\sin[qr(R_p,R_e,\alpha)]
+                - \cos[qr(R_p,R_e,\alpha)])}
+                {[qr(R_p,R_e,\alpha)]^3}
+
+and
+
+.. math::
+
+    r(R_e,R_p,\alpha) = \left[ R_e^2 \sin^2 \alpha
+        + R_p^2 \cos^2 \alpha \right]^{1/2}
+
+
+$\alpha$ is the angle between the axis of the ellipsoid and $\vec q$,
+$V = (4/3)\pi R_pR_e^2$ is the volume of the ellipsoid , $R_p$ is the polar radius along the
+rotational axis of the ellipsoid, $R_e$ is the equatorial radius perpendicular
+to the rotational axis of the ellipsoid and $\Delta \rho$ (contrast) is the
+scattering length density difference, either $(sld\_core - sld\_shell)$ or $(sld\_shell - sld\_solvent)$.
+
+For randomly oriented particles:
+
+.. math::
+
+   F^2(q)=\int_{0}^{\pi/2}{F^2(q,\alpha)\sin(\alpha)d\alpha}
+
 
 References
Index: sasmodels/models/cylinder.py
===================================================================
--- sasmodels/models/cylinder.py	(revision 551398cab5792d861989a698b28f224cd85ec263)
+++ sasmodels/models/cylinder.py	(revision 416f5c7f5af38d5e5d926a5b6b140a94e7e60502)
@@ -14,5 +14,5 @@
 .. math::
 
-    P(q,\alpha) = \frac{\text{scale}}{V} F^2(q) + \text{background}
+    P(q,\alpha) = \frac{\text{scale}}{V} F^2(q,\alpha) + \text{background}
 
 where
@@ -20,5 +20,5 @@
 .. math::
 
-    F(q) = 2 (\Delta \rho) V
+    F(q,\alpha) = 2 (\Delta \rho) V
            \frac{\sin \left(\tfrac12 qL\cos\alpha \right)}
                 {\tfrac12 qL \cos \alpha}
@@ -31,7 +31,14 @@
 first order Bessel function.
 
+For randomly oriented particles:
+
+.. math::
+
+    F^2(q)=\int_{0}^{\pi/2}{F^2(q,\alpha)\sin(\alpha)d\alpha}
+
+
 To provide easy access to the orientation of the cylinder, we define the
 axis of the cylinder using two angles $\theta$ and $\phi$. Those angles
-are defined in :numref:`cylinder-angle-definition`.
+are defined in :numref:`cylinder-angle-definition` .
 
 .. _cylinder-angle-definition:
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/ellipsoid.py	(revision 416f5c7f5af38d5e5d926a5b6b140a94e7e60502)
@@ -35,4 +35,11 @@
 to the rotational axis of the ellipsoid and $\Delta \rho$ (contrast) is the
 scattering length density difference between the scatterer and the solvent.
+
+For randomly oriented particles:
+
+.. math::
+
+   F^2(q)=\int_{0}^{\pi/2}{F^2(q,\alpha)\sin(\alpha)d\alpha}
+
 
 To provide easy access to the orientation of the ellipsoid, we define
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/parallelepiped.py	(revision 416f5c7f5af38d5e5d926a5b6b140a94e7e60502)
@@ -10,5 +10,5 @@
 
 | This model calculates the scattering from a rectangular parallelepiped
-| (:numref:`parallelepiped-image`).
+| (\:numref:`parallelepiped-image`\).
 | If you need to apply polydispersity, see also :ref:`rectangular-prism`.
 
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision a8072067ae8a224e45d23ba71f663aadbe1ba4a9)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision 416f5c7f5af38d5e5d926a5b6b140a94e7e60502)
@@ -36,5 +36,5 @@
 we define the axis of the cylinder using the angles $\theta$, $\phi$
 and $\psi$. These angles are defined on
-:numref:`triaxial-ellipsoid-angles`.
+:numref:`triaxial-ellipsoid-angles` .
 The angle $\psi$ is the rotational angle around its own $c$ axis
 against the $q$ plane. For example, $\psi = 0$ when the
